Summary:	Genealogical Research and Analysis Management Programming System
Summary(pl.UTF-8):	System programowania do zarządzania badaniami i analizą genealogiczną
Name:		gramps
Version:	5.2.0
Release:	3
License:	GPL v2
Group:		Applications/Science
Source0:	https://downloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
# Source0-md5:	3a3718e869381e2c8801b643fde43127
Patch0:		python-opt2.patch
URL:		https://gramps-project.org/
BuildRequires:	gettext-tools
BuildRequires:	intltool
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
Requires:	python3-modules
Requires(post,postun):	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	python3-gexiv2
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.12
Requires:	python3-pyicu
Requires:	xdg-utils
Recommends:	graphviz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python based
plugin system.

%description -l pl.UTF-8
gramps (Genealogical Research and Analysis Management Programming
System - system programowania do zarządzania badaniami i analizą
genealogiczną) to oparty na GNOME program do genealogii obsługujący
system wtyczek w Pythonie.

%prep
%setup -q
%patch -P 0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

echo -n "%{_datadir}" > $RPM_BUILD_ROOT%{py3_sitescriptdir}/gramps/gen/utils/resource-path

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__mv} $RPM_BUILD_ROOT%{_localedir}/pt{_PT,}

%find_lang gramps

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f gramps.lang
%defattr(644,root,root,755)
%doc AUTHORS FAQ NEWS README.md TODO example
%attr(755,root,root) %{_bindir}/gramps

%dir %{_datadir}/gramps
%{_datadir}/gramps/*.xml
%{_datadir}/gramps/css
%{_datadir}/gramps/images
%{_datadir}/gramps/gramps.css

%{py3_sitescriptdir}/gramps
%{py3_sitescriptdir}/gramps-*.egg-info

%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/mimetypes/*
%{_datadir}/gramps/grampsxml.dtd
%{_datadir}/gramps/grampsxml.rng
%{_iconsdir}/hicolor/*x*/apps/org.gramps_project.Gramps.png
%{_iconsdir}/hicolor/scalable/apps/org.gramps_project.Gramps.svg
%{_datadir}/metainfo/org.gramps_project.Gramps.appdata.xml
%{_datadir}/mime/packages/org.gramps_project.Gramps.xml

%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt_BR) %{_mandir}/pt_BR/man1/*
%lang(sv) %{_mandir}/sv/man1/*
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gramps.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 403d983
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> fdee67f
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b3aa1a6
- python 3.13 rebuild

* Sun Feb 25 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> abcc38a
- up to 5.2.0

* Fri Jan 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 85940b7
- up to 5.1.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2d834ce
- rel 1

* Wed Aug 24 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8099fac
- up to 5.1.5

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ca9d3bf
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3cbc124
- rebuild with python 3.10

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> 88998a7
- release 5 (by relup.sh)

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> a50dd4f
- noarch package, use rpm4 recommends tag

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7994e5a
- rebuild with python 3.8
- release 4 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b1c5a58
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b43a8f
- python 3.6
- release 2 (by relup.sh)

* Sat Apr 16 2016 Jacek Konieczny <jajcus@jajcus.net> bedad4d
- Version: 4.2.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8e69146
- updated gettext BR

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> d2bddfc
- fix pt locale
- rel 2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> abde0e4
- updated to 4.0.2

* Wed Jul 13 2011 Krystian Tomczyk <krystian@pld-linux.org> 2df5f5a
- up to 3.3.0-1

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 3e003a6
- BR: rpm-pythonprov

